#!/usr/bin/env python
#
# pyQvarsi, utility Module.
#
# Module storing various utility tools for pyQvarsi.
#
# Last rev: 10/06/2021

__VERSION__ = 2.0

from .common   import pprint, raiseError, raiseWarning, truncate, printArray, run_subprocess
from .parallel import MPI_RANK, MPI_SIZE
from .parallel import worksplit
from .parallel import is_rank_or_serial, mpi_barrier, mpi_send, mpi_recv, mpi_sendrecv, mpi_scatter, mpi_scatterp, mpi_gather, mpi_reduce, mpi_bcast
from .witness  import witnessReadNByFront, witnessReadNByBehind

del common, parallel, witness